Bug 507615 - Review request: Vemana2000-fonts Unicode compliant OpenType font
Review request: Vemana2000-fonts Unicode compliant OpenType font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: sandeep shedmake
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 09:47 EDT by sandeep shedmake
Modified: 2009-08-31 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 19:35:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description sandeep shedmake 2009-06-23 09:47:53 EDT
Description:

Its Free OpenType font for Telugu created by Dr. Tirumala Krishna Desikacharyulu. Font is Unicode compliant. Also, request for packaging this font was made in bug #481009.


SPEC: http://rakesh.fedorapeople.org/spec/vemana2000-fonts.spec
SRPM: http://rakesh.fedorapeople.org/srpm/vemana2000-fonts-1.1.1-1.fc11.src.rpm

fontconfig priority level has been kept to 69.
Comment 1 Nicolas Mailhot 2009-06-23 17:02:22 EDT
You don't have permission to access /spec/vemana2000-fonts.spec on this server (same for the srpm)
Comment 3 Nicolas Mailhot 2009-06-24 17:22:24 EDT
1. not sure if it should be classified as sans-serif, I guess it's up for Telugu users to decide

2. Please work a bit more on the package summary (at minimum, start with "A free OpenType font" not "Its Free OpenType font")

3. Fontforge complains a lot about this TTF file. It seems it was created by copying Pothana2000, and it still declares Pothana2000 all over the place. Please ask politely upstream to clean up the font metadata (remove the restricted bit, change the Pothana2000 strings to Vemana2000, change the font style to Regular or whatever standard style is appropriate). You can even do it yourself with Fedora's fontforge and send the fixed file upstream if the author agrees (I see I had noted the non-standard style for Pothana2000 too, even though it's less broken metadata-side than Vemana200).

However, none of this is strictly speaking rpm packaging, so I'll approve the package and let you deal with the TTF bugs as the font Fedora packager :p

☘☘☘ APPROVED ☘☘☘

This review is finished and you're now on you own to build, push and register
your package everywhere it matters. Your next steps are documented on:

http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for packaging a new Fedora font! Do it again please :)

If you still need sponsoring, apply to the Packager group in FAS and post your login here, so I can sponsor you.

If you have questions or need more help, don't hesitate to ask questions in ##fonts or ##fedora-devel or on the fonts sig mailing list
http://fedoraproject.org/wiki/Fonts_SIG_mailing_lists
Comment 4 sandeep shedmake 2009-07-13 01:24:53 EDT
From Comment #3

I have applied for Packager group and my FAS id is "sandeeps".
Comment 5 Nicolas Mailhot 2009-07-13 03:05:24 EDT
(In reply to comment #4)
> From Comment #3
> 
> I have applied for Packager group and my FAS id is "sandeeps".  

Done. Please use it wisely
Comment 6 sandeep shedmake 2009-08-26 00:39:16 EDT
New Package CVS Request
=======================
Package Name: vemana2000-fonts
Short Description: Telugu OpenType Font
Owners: sandeeps
Branches: F-10 F-11
InitialCC: fonts-sig
Comment 7 Jason Tibbitts 2009-08-28 10:40:43 EDT
CVS done.
Comment 8 Fedora Update System 2009-08-31 03:50:46 EDT
vemana2000-fonts-1.1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vemana2000-fonts-1.1.1-2.fc10
Comment 9 Fedora Update System 2009-08-31 03:50:52 EDT
vemana2000-fonts-1.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vemana2000-fonts-1.1.1-2.fc11
Comment 10 Fedora Update System 2009-08-31 19:35:05 EDT
vemana2000-fonts-1.1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-08-31 19:40:54 EDT
vemana2000-fonts-1.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.